/*
 * gngb2vdr.c: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */

#include <stdio.h>

#include <pthread.h>
#include <semaphore.h>

#include "osd.h"
#include <thread.h>
#include <plugin.h>

#include "SDL.h"

#include "cGngbOsd.h"

#include "cGngbPlugin.h"

cPluginGngb2vdr::cPluginGngb2vdr(void)
{
  // Initialize any member variables here.
  // DON'T DO ANYTHING ELSE THAT MAY HAVE SIDE EFFECTS, REQUIRE GLOBAL
  // VDR OBJECTS TO EXIST OR PRODUCE ANY OUTPUT!


    FILE *f;

    f = fopen("vdr-gngb.log","at");
    if( f != NULL )
    {
        fprintf(f,"\n\n--- cGngbPlugin::cGngbPlugin() --- \n");
        fclose(f);
    }

}

cPluginGngb2vdr::~cPluginGngb2vdr()
{
  // Clean up after yourself!
}

const char *cPluginGngb2vdr::CommandLineHelp(void)
{
  // Return a string that describes all known command line options.
  return NULL;
}

bool cPluginGngb2vdr::ProcessArgs(int argc, char *argv[])
{
  // Implement command line argument processing here if applicable.
  return true;
}

bool cPluginGngb2vdr::Initialize(void)
{
  // Initialize any background activities the plugin shall perform.
  return true;
}

bool cPluginGngb2vdr::Start(void)
{
  // Start any background activities the plugin shall perform.
  return true;
}

void cPluginGngb2vdr::Housekeeping(void)
{
  // Perform any cleanup or other regular tasks.
}

cOsdObject *cPluginGngb2vdr::MainMenuAction(void)
{
	VDRGNGBLOG("cPluginGngb2vdr::MainMenuAction\n");
  // Perform the action when selected from the main VDR menu.
  return new cGngbOsd();
}

cMenuSetupPage *cPluginGngb2vdr::SetupMenu(void)
{
  // Return a setup menu in case the plugin supports one.
  return NULL;
}

bool cPluginGngb2vdr::SetupParse(const char *Name, const char *Value)
{
  // Parse your own setup parameters and store their values.
  return false;
}

VDRPLUGINCREATOR(cPluginGngb2vdr); // Don't touch this!
